%define upstream_name	 WWW-Curl
%define upstream_version 4.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Perl extension interface for libcurl
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-WWW-Curl-fix-CURL_STRICTER-undeclared.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: libcurl-devel
BuildRequires: perl-devel

%description
WWW::Curl is a Perl extension interface for libcurl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
# yes, some tests are interactive. that's Evil.
# no point in running them, then: they'll be skipped
#%%{__make} test < /dev/null

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorarch}/WWW
%{perl_vendorarch}/auto/WWW
%{_mandir}/*/*


%changelog
* Sun Sep 11 2016 daviddavid <daviddavid> 4.170.0-12.mga6
+ Revision: 1051454
- add patch to fix build with curl >= 7.50.2

* Sun Jun 19 2016 pterjan <pterjan> 4.170.0-11.mga6
+ Revision: 1035703
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 4.170.0-10.mga6
+ Revision: 958205
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 4.170.0-9.mga6
+ Revision: 845512
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tmb <tmb> 4.170.0-8.mga6
+ Revision: 840401
- rebuild with buildsystem
- rebuild with perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 4.170.0-6.mga5
+ Revision: 740125
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 4.170.0-5.mga5
+ Revision: 732617
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 4.170.0-4.mga5
+ Revision: 686834
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 pterjan <pterjan> 4.170.0-3.mga5
+ Revision: 630701
- Rebuild cleanly
- Rebuild for new Perl

* Mon Feb 24 2014 jquelin <jquelin> 4.170.0-1.mga5
+ Revision: 596398
- update to 4.17

* Sat Oct 19 2013 umeabot <umeabot> 4.150.0-10.mga4
+ Revision: 524738
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 4.150.0-9.mga4
+ Revision: 431373
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.150.0-8.mga3
+ Revision: 374728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 4.150.0-7.mga3
+ Revision: 283405
- Clean rebuild

* Sun Jun 12 2011 ahmad <ahmad> 4.150.0-6.mga2
+ Revision: 104542
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 4.150.0-2.mga1
+ Revision: 23252
- rebuild for new perl

* Wed Jan 12 2011 jquelin <jquelin> 4.150.0-1.mga1
+ Revision: 7440
- imported package perl-WWW-Curl


* Mon Dec 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 4.150.0-1mdv2011.0
+ Revision: 612272
- update to new version 4.15

* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 4.140.0-1mdv2011.0
+ Revision: 596698
- update to 4.14

* Fri Sep 03 2010 Jérôme Quelin <jquelin@mandriva.org> 4.130.0-1mdv2011.0
+ Revision: 575597
- update to 4.13

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 4.120.0-4mdv2011.0
+ Revision: 564593
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.120.0-3mdv2011.0
+ Revision: 555309
- rebuild

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild for 5.12

* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 4.120.0-1mdv2011.0
+ Revision: 551204
- update to 4.12

* Mon Dec 21 2009 Jérôme Quelin <jquelin@mandriva.org> 4.110.0-1mdv2010.1
+ Revision: 480739
- update to 4.11

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 4.90.0-1mdv2010.0
+ Revision: 408097
- rebuild using %%perl_convert_version

* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.09-1mdv2010.0
+ Revision: 394090
- update to new version 4.09

* Thu Jul 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.08-1mdv2010.0
+ Revision: 393798
- update to new version 4.08

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.07-1mdv2010.0
+ Revision: 383547
- update to new version 4.07

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.06-1mdv2010.0
+ Revision: 370246
- update to new version 4.06

* Sun Jul 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.05-1mdv2009.0
+ Revision: 232105
- update to new version 4.05

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.04-1mdv2009.0
+ Revision: 227978
- update to new version 4.04

* Fri Jun 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.02-1mdv2009.0
+ Revision: 227420
- update to new version 4.02

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.00-1mdv2009.0
+ Revision: 194960
- update to new version 4.00

* Thu Feb 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.12-1mdv2008.1
+ Revision: 175993
- update to new version 3.12

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 3.02-6mdv2008.1
+ Revision: 152404
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 3.02-5mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jan 27 2007 Emmanuel Andry <eandry@mandriva.org> 3.02-5mdv2007.0
+ Revision: 114330
- rebuild for libcurl
- Import perl-WWW-Curl

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.02-4mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.02-3mdk
- rebuild

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.02-2mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.02-1mdk
- First Mandriva release. Replaces perl-Curl-easy.

